# QSslCipher Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QSslCipher()
- void QSslCipher(QSslCipher other)
- void QSslCipher(String name, SslProtocol protocol)

### Constructor Properties

- prototype: The QSslCipher prototype object

### Prototype Object Properties

- String authenticationMethod()
- String encryptionMethod()
- bool isNull()
- String keyExchangeMethod()
- String name()
- QSslCipher operator_assign(QSslCipher other)
- bool operator_equal(QSslCipher other)
- SslProtocol protocol()
- String protocolString()
- int supportedBits()
- int usedBits()

### Instance Properties

QSslCipher objects have no special properties beyond those inherited from the QSslCipher prototype object.